rollout BatchReexporter_UI "Batch Re-Importer" width:220 (
	button btnReexport "Re-Import"
	label spacer ""
	label progState "Not Running"
	progressbar progBar value:0
	
	on btnReexport pressed do (
		progState.text = "Re-exporting"
		progBar.value = 0.0
		
		curSelection = getCurrentSelection()
		
		local curValue = 0.0
		local valueDelta = 100.0 / curSelection.count

		local firstImport = True
		for obj in curSelection do (
			oName = obj.name
			
			print ("iterating on " + oName)
			
			select obj

			ExportSMD "C:/temp.smd" true true false false false "1" "2"
			
			if firstImport then (
				ImportFile "C:/temp.smd"
				firstImport = False
			) else (
				ImportFile "C:/temp.smd" #noPrompt
			)
			
			selection[1].name = oName
			
			clearSelection
			
			select curSelection
			
			curValue += valueDelta
			progBar.value = curValue
		)

		curValue = 0
		progBar.value = curValue
		progState.text = "Cleaning up"
		
		for obj in curSelection do (
			delete obj
			curValue += valueDelta
			progBar.value = curValue
		)
		
		deleteFile "C:/temp.smd"
		
		progBar.value = 0
		progState.text = "Finished"
	)
)

createDialog BatchReexporter_UI