rollout BoneCopy_UI "Bone Copier" width:220 (
	button btnCopyBones "Copy Selected"
	
	on btnCopyBones pressed do (
		cnt = 0
		
		-- Create all the jiggle bones
		for b in Selection do (
			if classof b == BoneGeometry then (
				nb = BoneSys.CreateBone b.transform.row4 (b.pos + b.transform.row1*b.length) [0,0,1]
				nb.name = b.name
				nb.rotation = b.rotation
				nb.pos = b.pos
				
				nb.parent = b.parent
				
				cnt = cnt + 1
				
				b.name = (b.name + "_old")
			)
		)
		
		MessageBox ("Copied " + (cnt as String) + " bones.") beep:False
	)
)

createDialog BoneCopy_UI