fn _RM = (
	local numAffected = 0

	for o in geometry do (
		if o.material != undefined then (
			if classof o.material == Multimaterial then (
				local numMats = o.material.count
				
				numAffected = numAffected + 1
				
				for i=1 to numMats do (
					o.material[i].name = o.material[i].diffuseMap.filename
				)
			)
		)
	)

	if numAffected > 0 then (
		messageBox ("Converted " + (numAffected as string) + " material names") beep:false
	)
)

_RM()