fn fw s f = (
	format "%" s to:f
)

fn fwl s f = (
	fw (s + "\n") f
)

fn WriteMorphValues fname = (
	file = createFile fname
	
	for o in Geometry do (
		oMorpher = o.modifiers[#morpher]
		
		if oMorpher != undefined then (
			fwl (o.name + ":") file

			for i=1 to 100 do (
				if WM3_MC_HasData oMorpher i then (
					mName = WM3_MC_GetName oMorpher i
					mVal = WM3_MC_GetValue oMorpher i
					
					if mVal > 0.001 then (
						fwl ("\t" + mName + " = " + (mVal as string)) file
					)
				)
			)
		)
	)
	
	close file
)