rollout MorpherRandomize_UI "Morpher Randomizer" width:220 (	
	button btnRandomize "Randomize "

	on btnRandomize pressed do (
		for obj in getCurrentSelection() do (
			if (classOf obj == Editable_Mesh) then (
				if (for modi in obj.modifiers where classof modi == Morpher collect modi).count > 0 then (
					oMorpher = obj.modifiers[#morpher]
					
					-- Randomize each morpher
					for i = 1 to 100 do (
						if WM3_MC_IsValid oMorpher i then (
							mName = WM3_MC_GetName oMorpher i
							
							newValue = Random 1.0 100.0
							
							if mName != "- empty -" then (
								WM3_MC_SetValue oMorpher i newValue
							)
						)
					)
				)
			)
		)
	)
)

createDialog MorpherRandomize_UI
--MorpherExport "hello"