-- Bones
fn LinkSkyrimBones = (
local pelvis = getnodebyname "NPC Pelvis [Pelv]"
local spn0 = getnodebyname "NPC Spine [Spn0]"
local spn1 = getnodebyname "NPC Spine1 [Spn1]"
local spn2 = getnodebyname "NPC Spine2 [Spn2]"

local lclav = getnodebyname "NPC L Clavicle [LClv]"
local luarm = getnodebyname "NPC L Upperarm [LUar]"
local luarmt1 = getnodebyname "NPC L UpperarmTwist1 [LUt1]"
local luarmt2 = getnodebyname "NPC L UpperarmTwist2 [LUt2]"
local lfarm = getnodebyname "NPC L Forearm [LLar]"
local lfarmt1 = getnodebyname "NPC L ForearmTwist1 [LLt1]"
local lfarmt2 = getnodebyname "NPC L ForearmTwist2 [LLt2]"
local lhand = getnodebyname "NPC L Hand [LHnd]"

local lthigh = getnodebyname "NPC L Thigh [LThg]"
local lcalf = getnodebyname "NPC L Calf [LClf]"
local lfoot = getnodebyname "NPC L Foot [LFt ]"
local ltoe = getnodebyname "NPC L Toe00 [LT00]"

local lf00 = getnodebyname "NPC L Finger00 [LF00]"
local lf01 = getnodebyname "NPC L Finger01 [LF01]"
local lf02 = getnodebyname "NPC L Finger02 [LF02]"
local lf10 = getnodebyname "NPC L Finger10 [LF10]"
local lf11 = getnodebyname "NPC L Finger11 [LF11]"
local lf12 = getnodebyname "NPC L Finger12 [LF12]"
local lf20 = getnodebyname "NPC L Finger20 [LF20]"
local lf21 = getnodebyname "NPC L Finger21 [LF21]"
local lf22 = getnodebyname "NPC L Finger22 [LF22]"
local lf30 = getnodebyname "NPC L Finger30 [LF30]"
local lf31 = getnodebyname "NPC L Finger31 [LF31]"
local lf32 = getnodebyname "NPC L Finger32 [LF32]"
local lf40 = getnodebyname "NPC L Finger40 [LF40]"
local lf41 = getnodebyname "NPC L Finger41 [LF41]"
local lf42 = getnodebyname "NPC L Finger42 [LF42]"

local rclav = getnodebyname "NPC R Clavicle [RClv]"
local ruarm = getnodebyname "NPC R Upperarm [RUar]"
local ruarmt1 = getnodebyname "NPC R UpperarmTwist1 [RUt1]"
local ruarmt2 = getnodebyname "NPC R UpperarmTwist2 [RUt2]"
local rfarm = getnodebyname "NPC R Forearm [RLar]"
local rfarmt1 = getnodebyname "NPC R ForearmTwist1 [RLt1]"
local rfarmt2 = getnodebyname "NPC R ForearmTwist2 [RLt2]"
local rhand = getnodebyname "NPC R Hand [RHnd]"

local rthigh = getnodebyname "NPC R Thigh [RThg]"
local rcalf = getnodebyname "NPC R Calf [RClf]"
local rfoot = getnodebyname "NPC R Foot [RFt ]"
local rtoe = getnodebyname "NPC R Toe00 [RT00]"

local rf00 = getnodebyname "NPC R Finger00 [RF00]"
local rf01 = getnodebyname "NPC R Finger01 [RF01]"
local rf02 = getnodebyname "NPC R Finger02 [RF02]"
local rf10 = getnodebyname "NPC R Finger10 [RF10]"
local rf11 = getnodebyname "NPC R Finger11 [RF11]"
local rf12 = getnodebyname "NPC R Finger12 [RF12]"
local rf20 = getnodebyname "NPC R Finger20 [RF20]"
local rf21 = getnodebyname "NPC R Finger21 [RF21]"
local rf22 = getnodebyname "NPC R Finger22 [RF22]"
local rf30 = getnodebyname "NPC R Finger30 [RF30]"
local rf31 = getnodebyname "NPC R Finger31 [RF31]"
local rf32 = getnodebyname "NPC R Finger32 [RF32]"
local rf40 = getnodebyname "NPC R Finger40 [RF40]"
local rf41 = getnodebyname "NPC R Finger41 [RF41]"
local rf42 = getnodebyname "NPC R Finger42 [RF42]"

-- Links
spn0.parent = pelvis
spn1.parent = spn0
spn2.parent = spn1

lclav.parent = spn2
luarm.parent = lclav
luarmt1.parent = luarm
luarmt2.parent = luarm
lfarm.parent = luarm
lfarmt1.parent = lfarm
lfarmt2.parent = lfarm
lhand.parent = lfarm

lthigh.parent = pelvis
lcalf.parent = lthigh
if lfoot != undefined then (
	lfoot.parent = lcalf
)
if ltoe != undefined then (
	ltoe.parent = lfoot
)

if lf22 != undefined then (
	lf00.parent = lhand
	lf01.parent = lf00
	lf02.parent = lf01
	lf10.parent = lhand
	lf11.parent = lf10
	lf12.parent = lf11
	lf20.parent = lhand
	lf21.parent = lf20
	lf22.parent = lf21
	lf30.parent = lhand
	lf31.parent = lf30
	lf32.parent = lf31
	lf40.parent = lhand
	lf41.parent = lf40
	lf42.parent = lf41
	
	rf00.parent = rhand
	rf01.parent = rf00
	rf02.parent = rf01
	rf10.parent = rhand
	rf11.parent = rf10
	rf12.parent = rf11
	rf20.parent = rhand
	rf21.parent = rf20
	rf22.parent = rf21
	rf30.parent = rhand
	rf31.parent = rf30
	rf32.parent = rf31
	rf40.parent = rhand
	rf41.parent = rf40
	rf42.parent = rf41
)

rclav.parent = spn2
ruarm.parent = rclav
ruarmt1.parent = ruarm
ruarmt2.parent = ruarm
rfarm.parent = ruarm
rfarmt1.parent = rfarm
rfarmt2.parent = rfarm
rhand.parent = rfarm

rthigh.parent = pelvis
rcalf.parent = rthigh
if rfoot != undefined then (
	rfoot.parent = rcalf
)
if rtoe != undefined then (
	rtoe.parent = rfoot
)

)

LinkSkyrimBones()