Snapshotter_Target = undefined

rollout Snapshotter_UI "Snapshotter" width:200 (
	edittext txtSnapshotTarget "Snapshot Target" enabled:false
	
	edittext txtName "Snapshot Name"
	button btnSnapshot "Snapshot"
	pickbutton pckTarget "Choose Target"
	
	on btnSnapshot pressed do (
		local obj = Snapshotter_Target
		
		if obj != undefined then (
			local shot = snapshot obj
			shot.name = txtName.text
			shot.ishidden = true
			
		) else (
			messagebox "You need to pick a target first." beep:true
		)
	)
	
	on pckTarget picked obj do (
		Snapshotter_Target = obj
		
		txtSnapshotTarget.text = obj.name
	)
)

createDialog Snapshotter_UI