include "Wunderboy_SilentTools.ms"

utility Wunderboy_SilentImport "Silent SMD Import" (
	checkbox chkNoSkeleton "Ignore Skeleton" tooltip:"If checked, none of the SMDs will be imported with their skeleton or Skin."
	checkbox chkUppercase "Uppercase Names" tooltip:"If checked, names of the form \"my_mesh.smd\" will instead by named \"MY MESH\"."
	
	button btnImport "Import SMDs..."
	
	on btnImport pressed do (
		fileDialog = dotNetObject "System.Windows.Forms.OpenFileDialog"
		fileDialog.title = "Select SMDs to Import"
		fileDialog.Multiselect = true
		
		onClose = fileDialog.showDialog()
		
		if onClose.Equals onClose.OK then (
			files = fileDialog.fileNames
			
			ImportSMDSilent files bUppercase:chkUppercase.checked bSkipSkeleton:chkNoSkeleton.checked
		)
	)
)

utility Wunderboy_SilentExport "Silent SMD Export" (
	button btnExport "Export SMD"
	
	on btnExport pressed do (
		fName = GetSaveFilename caption:"Export SMD" types:"StudioMdl Data(*.smd)|*.smd|Any file|*.*"
		
		if fName != undefined then (
			ExportSMDSilent fName
		)
	)
)