
rollout BatchDeformToggle_UI "Batch Deform Toggle"
(
	-- Buttons
	button btnMassDeformFalse "Group Always Deform - Off" \
		tooltip:"Iterate through all selected objects and set 'Always Deform' on the skin to off."
	button btnMassDeformTrue "Group Always Deform - On" \
		tooltip:"Iterate through all selected objects and set 'Always Deform' on the skin to on."

	-- Controls
	on btnMassDeformFalse pressed do (
		count = 0
		for obj in selection do (
			if obj.modifiers[#skin] != undefined then (
				count = count + 1
				obj.modifiers[#skin].always_deform = false
			)
		)
		messageBox ("Toggled 'Always Deform' to off for " + (count as string) + " objects.") beep:false
	)
	
	on btnMassDeformTrue pressed do (
		count = 0
		for obj in selection do (
			if obj.modifiers[#skin] != undefined then (
				count = count + 1
				obj.modifiers[#skin].always_deform = true
			)
		)
		messageBox ("Toggled 'Always Deform' to on for " + (count as string) + " objects.") beep:false
	)
)

createDialog BatchDeformToggle_UI