rollout BatchRename_UI "Batch Rename" (	
	edittext txtPrependName "Name Addition:"
	button btnPrepend "Prepend" width:50 pos:[28,24]
	button btnAppend "Append" width:50 pos:[82,24]
	
	label lblSpacer ""
	
	edittext txtOldName "Name to Replace:"
	edittext txtNewName "Replace With:"
	button btnRename "Replace Name"
	
	button btnLowerToUpper "a -> A" width:50 pos:[28,160]
	button btnUpperToLower "A -> a" width:50 pos:[82,160]
	button btnSpaceToUnderscore "'  ' -> '_'" width:50 pos:[28,190]
	button btnUnderscoreToSpace "'_' -> '  '" width:50 pos:[82,190]
	
	on btnPrepend pressed do (
		for obj in selection do (
			oName = obj.name
			
			obj.name = txtPrependName.text + " "+oName
		)
	)
	
	on btnAppend pressed do (
		for obj in selection do (
			oName = obj.name
			
			obj.name = oName + txtPrependName.text
		)
	)
	
	on btnRename pressed do (
		numReplaced = 0
		oldLen = txtOldName.text.count
		for obj in selection do (
			oName = obj.name
			
			firstIndex = findString oName txtOldName.text
			
			if firstIndex != undefined then (
				obj.name = replace oName firstIndex oldLen txtNewName.text
				numReplaced = numReplaced + 1
			)
		)
		
		messageBox ("Replaced " + (numReplaced as String) + " names") beep:false
	)

	on btnLowerToUpper pressed do (
		for o in selection do (
			o.name = toupper(o.name)
		)
	)
	
	on btnUpperToLower pressed do (
		for o in selection do (
			o.name = tolower(o.name)
		)
	)
	
	on btnSpaceToUnderscore pressed do (
		for o in selection do (
			o.name = substitutestring o.name " " "_"
		)
	)
	
	on btnUnderscoreToSpace pressed do (
		for o in selection do (
			o.name = substitutestring o.name "_" " "
		)
	)
)

createDialog BatchRename_UI