data = #()

bLordAardvarkExporter = false

include "_Util_lordAardvark_Export.ms"

-- Helper functions
function fixMaterial o = (
	if o.material != undefined then (
		if isProperty o.material #diffuseMap then (
			-- Rebuild the material
			newmat = StandardMaterial()
			newmat.diffuseMap = o.material.diffuseMap
			o.material = newmat
		)
	)
)

rollout MaterialFixer_UI "Material Fixer" (
	button btnFix "Fix Material"
	
	on btnFix pressed do (
		for o in selection do (
			fixMaterial o
		)
	)
)

createDialog MaterialFixer_UI